#include "fetch_max_score_for_players.h"

FetchMaxScoreForPlayers::FetchMaxScoreForPlayers(unsigned tournament, unsigned round, std::map<unsigned, unsigned> *scores)
	: tournament(tournament), round(round), scores(scores) {}
	
void FetchMaxScoreForPlayers::operator() (pqxx::transaction<> &t)
{
	scores->erase(scores->begin(), scores->end());
	
	pqxx::result res( t.exec("SELECT * FROM get_max_score_for_players("
		+ pqxx::to_string(tournament) + ", " + pqxx::to_string(round) +
		", 'single')") );
	
	for (pqxx::result::const_iterator i = res.begin(); i != res.end(); ++i) {
		unsigned player, max_score;
		player = i["player"].as(player);
		max_score = i["max_score"].as(max_score);

		scores->insert(std::make_pair(player, max_score));
	}
}
