--
-- Fix some brokenness in the data we get from DDR Europe; specifically,
-- if all players in a round select the same chosen song, the data says
-- that is was a random song. We find the most obvious cases and fix them;
-- I don't believe there are any more of them than those.
--

BEGIN;

UPDATE scores SET chosen='t' WHERE (tournament,round,songnumber) IN (
	SELECT tournament,round,randomsongs-1 FROM rounds WHERE chosensongs = 0 AND randomsongs > 1
);

UPDATE rounds SET chosensongs=1,randomsongs=randomsongs-1 WHERE (tournament,round) IN (
	SELECT tournament, round FROM rounds WHERE chosensongs = 0 AND randomsongs > 1
);

COMMIT;

